Subject: [patch 1/2] kcmp: Make it to depend on CONFIG_KCMP

From: [email-masked] (H. Peter Anvin)
Date: Tue, 19 Feb 2013 15:41:52 -0800

On 02/19/2013 02:11 PM, Cyrill Gorcunov wrote:
> On Tue, Feb 19, 2013 at 02:00:35PM -0800, Andrew Morton wrote:
>>>
>>> I think this syscall is usefull even without c/r stuff.
>>> That's why I made it with separate config option.
>>
>> hm, OK.
>>
>> But the patch also permits CONFIG_CHECKPOINT_RESTORE=y, CONFIG_KCMP=n
>> which surely isn't something which CRIU wants to support?
>
> Hmm, yes from one pov this feature is useful for out-of-c/r user,
> from another pov -- we will have to ask users to turn on additional
> CONFIG entries (which i'm sure not set by default in wide range of distros).
> Thus it seems less paiful way is either make it obj-(CHECKPOINT_RESTORE)
> as you proposed, or obj-y by default. The last can't be undone, so I'll
> prepare the patch for obj-(CHECKPOINT_RESTORE) I think.
>

Well, that's what dependencies are for.

Either way we might just want to wait for such a use case to appear, I 
don't know.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.